For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • POSTCreate Company
              • GETGet Company Extra Fields
              • GETGet Company by User ID
              • GETList Company Users
              • GETValidate Frontend User Email
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyCompanies

Validate Frontend User Email

GET
https://api-b2b.bigcommerce.com/api/v2/companies/validations/frontend/user-emails/:email
GET
/api/v2/companies/validations/frontend/user-emails/:email
$curl -G https://api-b2b.bigcommerce.com/api/v2/companies/validations/frontend/user-emails/user%40example.com \
> -H "Authorization: Bearer <token>" \
> -d storeHash=abc123 \
> -d role=0
200Retrieved
1{
2 "message": "string",
3 "code": 200,
4 "data": {
5 "isValid": "1",
6 "userInfo": {
7 "firstName": "Marie",
8 "lastName": "Curie",
9 "email": "m.curie@greatbuys.com",
10 "id": "123",
11 "phoneNumber": "8001234567",
12 "role": "1"
13 }
14 }
15}
Checks if an email address is associated with a BigCommerce customer account and a Company user account. Equivalent Storefront GraphQL API Query: `userEmailCheck`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground). The `isValid` value in the response indicates whether or not the email address is used by an existing customer or Company user. The following values are possible: * `0` — The email address is associated with a Company user account and a corresponding customer account. * `1` — The email address is not associated with a customer account or a Company user account. * `2` — The email address is associated with a customer account, but not a Company user account.
Was this page helpful?
Previous

List Company Users

Next

Check Existence of Customer Email

Built with

Checks if an email address is associated with a BigCommerce customer account and a Company user account.

Equivalent Storefront GraphQL API Query: userEmailCheck. For more information, see the GraphQL Playground.

The isValid value in the response indicates whether or not the email address is used by an existing customer or Company user. The following values are possible:

  • 0 — The email address is associated with a Company user account and a corresponding customer account.
  • 1 — The email address is not associated with a customer account or a Company user account.
  • 2 — The email address is associated with a customer account, but not a Company user account.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

emailstringRequiredformat: "email"
The email address of the user to be validated.

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.
roleenumRequired

The ID of the role assigned to the Company user account as given below.

ValueCode
0Admin
1Senior Buyer
2Junior Buyer
3Super Admin
4Unknown
Allowed values:
companyIdstringOptional
The unique numeric ID of the Company account.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject